#ifndef SPRINKLERINTERFACE_H
#define SPRINKLERINTERFACE_H

#include "GlobalDefine.h"
#include "NetworkDevice.h"


class CSprinklerMgr;


class CSprinklerInterface:  public QObject, public CNetworkDevice
{
    Q_OBJECT
public:
    CSprinklerInterface(int Address, CAbstractNetworkCommIF *NetworkInterface, CSprinklerMgr *SprinklerMgr);
    virtual ~CSprinklerInterface();

    virtual int NewDeviceFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

    CSprinklerMgr *mSprinklerMgr;

};

#endif // SPRINKLERDEVICE_H
